Psp homebrew questions - HotUKDeals
We use cookie files to improve site functionality and personalisation. By continuing to use HUKD, you accept our cookie and privacy policy.
Get the HUKD app free at Google Play

Search Error

An error occurred when searching, please try again!

Login / Sign UpSubmit

Psp homebrew questions

sam2007 Avatar
banned9y, 2m agoPosted 9 years, 2 months ago
Im downgrading a psp from 3.5v firmware to 1.5v and a video im watching is telling me to download 1.5v firmware. Is 1.5 and 1.52 the same?
Tags:
sam2007 Avatar
banned9y, 2m agoPosted 9 years, 2 months ago
Options

All Comments

(24) Jump to unreadPost a comment
Comments/page:
#1
You should really upgrade to the newest custom firmware :) think M33 just released 3.60
banned#2
Robotochan
You should really upgrade to the newest custom firmware :) think M33 just released 3.60



Thanks for helping, but I want my question answered
#3
Sorry I totally misread that question :(

Not sure about the answer but you can get 1.50 from: http://www.psp-hacks.com/file/4
#4
1.50 and 1.52 are not the same. You need to get downgrade to 1.50 to use homebrew. From there you can think about getting the new custom firmware onto your PSP
#5
If you had 1.52, you would need to upgrade to 3.50, then back to 1.5 using Lumines. No, 1.52 is not the same i'm afraid.
#6
you dont need lumines to download anything below 2.8, just upgrade to 2.0 then down to 1.5 no lumines of GTA umd required:

Firmware 2.00 Update EBOOT:
Download: http://www.zshare.net/download/2-00-update-eboot-rar.html
Mirror : http://www.sendspace.com/file/o9ya72

Complete 2.00 to 1.50 Downgrader:
Download: http://www.zshare.net/download/complete-2-00-to-1-50-downgrader-rar.html
Mirror : http://www.sendspace.com/file/yroe73


:)
#7
Once you've downgraded to 1.5, which open edition should you upgrade to? Is 3.40oe still the most recent?

Have been meaning to do this for months to my PSP which I bought with 1.5 installed, but haven't got round to it yet!
#8
3.52m33 is the most recent so far i think...
You might aswell wait a little longer for a 3.70m33...
#9
Thanks jaguark
#10
Has anyone bought lumines from thehut? They have it for £12.97. I'm wondering if it is the correct version, i.e. the unpatched version. Which is better way of downgrading, via Lumines or the pandora's battery? Cheers
#11
Downloaded some old PSone Final Fantasy games to play on my PSP but im on the latest firmware 3.7 or something so i am stuck until some clever hacker finds a way to downgrade from my firmware version :(
#12
biff
Downloaded some old PSone Final Fantasy games to play on my PSP but im on the latest firmware 3.7 or something so i am stuck until some clever hacker finds a way to downgrade from my firmware version :(



you will need to get something called Pandoras battery and a Magic memory card to get it to work, can supply you one for £25 inc postage and all bits.
With one of these you plug it in, press a button and next thing you know your on custom firmware :)

Mike..
#13
I have the original games, think i will just dig them out and play them on my ps2, but thanks for the offer, i may take you up on it in the future ;)
#14
biff
I have the original games, think i will just dig them out and play them on my ps2, but thanks for the offer, i may take you up on it in the future ;)


Well, if you happen to be in the Suffolk area give me a shout, I'll just do the downgrade/ update for you, takes only a few mins and you can buy the beers :whistling:

Mike..
#15
Is 3.70m33 still the recommended version or would it be best to upgrade to 3.52m33? I've read somewhere that 3.70 isn't that stable. I have the old fat PSP that's currently on 1.5.

Thanks in advance.
#16
i prefer 3.52m33-4 it works a charm and there is a homebrew software which lets you have custom themes without writing to flash(uses memory card), so you can have lots of different themes and change them when you want within 1 minute... the most stable is 3.40oe but they are all good.
#17
Thanks jaguark.

If anyone could post a link for the 3.52m33-4 upgrade I'd be ever so grateful. I'm already on 1.5 so just need the upgrade so I can finally try out some games after 5 months of owning my PSP! Something foolproof would be nice!
#18
Is this the right thing:

http://www.psp-hacks.com/file/1210

If so, what programme do I need to open the rar file? I'm getting a prompt box when I try to open it asking me to chose a file to open it with or to use the internet to find the right file.

Thanks again.
#19
You will need winrar to open it with, PM me if you havent got it I can help you "find" it :whistling:
#20
anyone in my area who can do the firmware on my psp im in dartford, kent and my psp is on factory setting 2.8 i think lol
#21
Mike, do you know if the pandora batteries work on the new psp lites?
#22
Angelphace
Is 3.70m33 still the recommended version or would it be best to upgrade to 3.52m33? I've read somewhere that 3.70 isn't that stable. I have the old fat PSP that's currently on 1.5.

Thanks in advance.


I'm in exactly the same boat and have the original 1.5 Japanese version.

It seems that things have moved on so much since I last switched the thing on and dont have a clue now about how I go about getting the latest version either.:-(

So any help would be greatly appreciated too:)
1 Like #23
thommo7879
I'm in exactly the same boat and have the original 1.5 Japanese version.

It seems that things have moved on so much since I last switched the thing on and dont have a clue now about how I go about getting the latest version either.:-(

So any help would be greatly appreciated too:)

I had an original American left on the ageing 1.5 until a couple of weeks ago. Things have changed beyond belief, I was extremely confused trying to get back up to speed.

Essentially you need to go through these three updates:
3.52 M33 > 3.52 M33 (update 4) > 3.71 M33


I was on the edge of my seat throughout. Naturally I have to declare myself not responsible for this 'irresponsible' behaviour :whistling:

(PM'ing you some further details)
#24
MBeeching
I had an original American left on the ageing 1.5 until a couple of weeks ago. Things have changed beyond belief, I was extremely confused trying to get back up to speed.

Essentially you need to go through these three updates:
3.52 M33 > 3.52 M33 (update 4) > 3.71 M33


I was on the edge of my seat throughout. Naturally I have to declare myself not responsible for this 'irresponsible' behaviour :whistling:

(PM'ing you some further details)


I don't suppose you could PM me the further details too? :oops:

Am really worries i'm going to mess it up and brick my PSP.

Post a Comment

You don't need an account to leave a comment. Just enter your email address. We'll keep it private.

...OR log in with your social account

...OR comment using your social account

Thanks for your comment! Keep it up!
We just need to have a quick look and it will be live soon.
The community is happy to hear your opinion! Keep contributing!